Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #42

Cover image retrieve preferences are hard to find
January 11, 2012 22:55 - Jacopo Lorenzetti

Status: Closed Start date: January 11,2012
Priority: Minor Due date:

Assignee: % Done: 100%

Category: Estimated time: 0.00 hour

Target version: 3.3

Affects version: 3.2-beta2

Description

The options to control the way Audacious searches for cover images (which words to look for in the filenames, whether to perform a
recursive search, etc.) are currently found by opening the Popup Information Settings dialog box from the Popup Information section
of the Playlist preferences.

But the retrieval of cover images is not a feature of the popup information box only. Cover images are in effect retrieved and
displayed in many places (the Info Bar, the Track Information dialog box, etc.) and are not necessarily related to the popup
information.

A user wanting to fine-tune the retrieval of the cover images displayed in his Info Bar (for example) won't look at the 'Popup
Information' settings. | think the most intuitive and appropriate place would be the Metadata section (see attached mockup).

History

#1 - May 02, 2012 17:41 - John Lindgren
- File song-info-prefs.png added

- Status changed from New to Closed

- Target version set to 3.3

- % Done changed from 0 to 100

I made a new "Song Info" page and moved album art and popup information settings to it; see screenshot. Things should be a lot easier to find now.

https://github.com/audacious-media-player/audacious/commit/f33390d37f6de887e79d3d4321424f2c8e4a0318

#2 - May 02, 2012 17:51 - Jacopo Lorenzetti

Very nice, it does make sense.

Files
coverimagepreferences-mockup.png 93.4KB January 11,2012 Jacopo Lorenzetti
song-info-prefs.png 68.5 KB May 02, 2012 John Lindgren
